Bug 583834 - Review Request: perl-ExtUtils-CChecker - Configure-time utilities for using C headers, libraries, or OS features
Summary: Review Request: perl-ExtUtils-CChecker - Configure-time utilities for using C...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-19 21:04 UTC by Nicolas Chauvet (kwizart)
Modified: 2010-05-07 21:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-07 21:13:43 UTC
emmanuel: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Nicolas Chauvet (kwizart) 2010-04-19 21:04:18 UTC
Spec URL: http://kwizart.fedorapeople.org/review/perl-ExtUtils-CChecker.spec
SRPM URL: http://kwizart.fedorapeople.org/review/perl-ExtUtils-CChecker-0.03-1.fc12.src.rpm
Description: Configure-time utilities for using C headers, libraries, or OS features

rpmlint in clean

Comment 1 Emmanuel Seyman 2010-05-02 20:46:19 UTC
Taking.

Comment 2 Emmanuel Seyman 2010-05-02 21:06:57 UTC
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2156297

 [x] Rpmlint output: 2 packages and 1 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct

 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
f2a9da32e70ec32c5b47652e020021d0  ExtUtils-CChecker-0.03.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: fedora-rawhide-x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2156297
 [-] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
All tests successful.
Files=4, Tests=10,  1 wallclock secs ( 0.03 usr  0.02 sys +  0.38 cusr  0.15 csys =  0.58 CPU)
Result: PASS

APPROVED.

Comment 3 Nicolas Chauvet (kwizart) 2010-05-03 08:20:13 UTC
Thx for the review!

New Package CVS Request
=======================
Package Name: perl-ExtUtils-CChecker
Short Description: Configure-time utilities for using C headers, libraries, or OS features
Owners: kwizart
Branches: F-13 F-12 EL-5
InitialCC: perl-sig

Comment 4 Kevin Fenzi 2010-05-04 02:53:34 UTC
CVS done (by process-cvs-requests.py).


Note You need to log in before you can comment on or make changes to this bug.